%define lib_api         0
%define lib_major       0
%define lib_name        %mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel  %mklibname %{name} -d

Name:           sord
Version:        0.16.8
Release:        %mkrel 1
Summary:     Lightweight C library for storing RDF data in memory
Source:         http://download.drobilla.net/%{name}-%{version}.tar.xz
URL:            http://drobilla.net/software/%{name}/
License:        ISC License (ISC)
Group:          System/Libraries
#-------------------------------------
BuildRequires:  waf
BuildRequires:  %{_lib}glib2.0-devel
BuildRequires:  %{_lib}serd-devel
#------------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Lightweight C library for storing RDF data in memory.

%files
%defattr(-,root,root)
%doc %{_mandir}/man1/*
%{_bindir}/sordi
%{_bindir}/sord_validate

#-----------------------------------
%package -n %{lib_name}
Summary:        Lightweight RDF syntax library
Group:          System/Libraries
Obsoletes:      %{_lib}sord0 < 0.12.0-2

%description -n %{lib_name}
Lightweight C library for storing RDF data in memory.


%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:        Headers for the sord RDF storage library
Group:          Development/Libraries
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against sord.

%files -n %{lib_name_devel}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_includedir}/%{name}-%{lib_api}/%{name}/*.hpp
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

#-----------------------------------
%prep
%setup -q

%build
%setup_compile_flags
./waf configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
./waf -v

%install
rm -rf $RPM_BUILD_ROOT
./waf install --destdir=%{buildroot}


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Mar 04 2021 tex - 0.16.8-1pclos2021
- new version

* Mon Sep 28 2020 tex - 0.16.6-1pclos2020
- new version

* Wed May 13 2020 tex - 0.16.4-1pclos2020
- new version

* Sat May 18 2019 tex - 0.16.0-2pclos2019
- rebuild against updates

* Mon Jan 02 2017 bb <bb> - 0.16.0-1pclos2017
- new version

* Tue Jun 23 2015 gseaman <galen.seaman at comcast.net> 0.12.2-1gseaman2015
- 0.12.2

* Tue Nov 05 2013 billybot <billybot> 0.12.0-2pclos2013
- rebuild for new pcre

* Tue Oct 29 2013 pinoc <vogtpet at gmail.com> 0.12.0-1pclos2013
- imported package sord

